from udd import (
    icommon,
    iconfig,
    idb,
    lpapi,
    )


def main():
    conf = iconfig.ImporterStack()
    lock = icommon.lock_path(conf.get('pi.script_locks_dir'), 'add_import_jobs')
    if lock is None:
        print "Another instance of add_import_jobs is already running."
        return
    try:
        lp = lpapi.get_lp()
        status_db = icommon.StatusDatabase(*idb.get_db_connection(conf, 'main'))
        icommon.create_import_jobs(lp, status_db)
    finally:
        lock.close()
    return 0
