from udd import (
    icommon,
    iconfig,
    idb,
    )


def main():
    conf = iconfig.ImporterStack()
    conn, db_type = idb.get_db_connection(conf, 'main')
    with icommon.Cursor(conn) as c:
        rows = c.execute('select count(*), type from %s where active=1 '
                'group by type' % icommon.StatusDatabase.JOBS_TABLE).fetchall()
        for row in rows:
            print row
