import sys

from udd import (
    icommon,
    iconfig,
    idb,
    )


def print_reason(package):
    conf = iconfig.ImporterStack()
    db = icommon.StatusDatabase(*idb.get_db_connection(conf, 'main'))
    reason = db.failure_reason(package)
    if reason is None:
        print "%s has not failed" % (package,)
        return 1
    print reason
    return 0


def main():
    sys.exit(print_reason(unicode(sys.argv[1])))
