import sqlite3

from udd import tests

from udd.scripts import count_outstanding_jobs


class TestCountOutstandingJobs(tests.TestCaseWithConfig):

    def test_empty(self):
        # The script fails if the JOBS table is not defined (which is the case
        # in an empty db).
        self.assertRaises(sqlite3.OperationalError, count_outstanding_jobs.main)
