from udd import tests

from udd.scripts import logrotate


class TestLogrotate(tests.TestCaseWithConfig):

    def test_empty(self):
        logrotate.main()
        log_conf_path = 'logs/driver/logrotate.conf'
        self.assertTestPathExists(log_conf_path)
        with open(log_conf_path) as f:
            # Checking that the right path have been expanded by relying just
            # on the dir used.
            self.assertContainsRe(f.read(), self.test_dir)
