from udd import (
    iconfig,
    tests,
    )

from udd.scripts import graph_failures


class TestGraphFailures(tests.TestCaseWithConfig):

    def test_no_main_packages_in_empty_db(self):
        conf = iconfig.ImporterStack()
        self.assertEquals(set(), graph_failures.get_main_packages(conf))

    def test_no_info_in_empty_db(self):
        conf = iconfig.ImporterStack()
        self.assertLength(0, graph_failures.get_info(conf))
